<div class="flex flex-col flex-auto w-full bg-forcewhite"
  style="background-image: url('../../assets/background.png'); background-size: cover; background-repeat: no-repeat; height: 290px;">

  <div class="container flex justify-between">
    <div class="flex items-center cursor-pointer" [routerLink]="['/security']">
      <mat-icon class="mt-6 mb-6" style="color: #0038FF;">keyboard_arrow_left</mat-icon>
      <span class="mt-6 mb-6" style="color: #0038FF;">Back</span>
    </div>
    <div>
      <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
    </div>
  </div>

  <div class="flex flex-col pt-6 mx-6">
    <div class="mt-2 font-Semibold-40 text-center font-141461">
      <div>Change Password</div>
    </div>
  </div>

  <div class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto sm:px-4 bg-card box-width"
    style="box-shadow: 0px 0px 6px #0000001a">
    <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
      <div class="flex-auto sm:p-10">
        <div class="font-Semibold-20">Enter Current Password</div>
        <div class="flex font-Regular-16 py-2">
          Please enter your current password below.
        </div>
        <mat-form-field class="w-full content mt-5 mb-2 flex-grow-1 items-center justify-center" [formGroup]="changePassForm"
          #changePassNgForm="ngForm" appearance="outline">
          <mat-label>Current Password</mat-label>
          <div class="password-input">
            <input id="oldPassword" matInput [formControlName]="'oldPassword'" matInput
              type="{{ hidePassword ? 'password' : 'text' }}" class="single-line-input" />
            <div class="password-toggle">
              <button mat-icon-button (click)="togglePasswordVisibility()" class="mat-icon-button-right">
                <mat-icon class="icon-size-5">{{ hidePassword ? 'visibility_off' : 'visibility' }}</mat-icon>
              </button>
            </div>
          </div>
        </mat-form-field>
        <br />
        <button class="fuse-mat-button-large w-full button-r5 button-r5-disable" mat-flat-button
          [color]="'primary'" [disabled]="changePassForm.disabled" (click)="continueButton()">
          <span *ngIf="!changePassForm.disabled" class="font-Semibold-14">Continue</span>
          <mat-progress-spinner *ngIf="changePassForm.disabled" [diameter]="24"
            [mode]="'indeterminate'"></mat-progress-spinner>
        </button>
      </div>
    </div>
  </div>
</div>